import webpack from 'webpack';
import { Level } from 'webpack-log';
export interface Config {
    serviceName: string;
    serviceVersion: string;
    publicPath: string;
    serverURL: string;
    secret?: string;
    logLevel?: Level;
    ignoreErrors?: boolean;
}
export default class ElasticAPMSourceMapPlugin implements webpack.Plugin {
    config: Config;
    constructor(config: Config);
    afterEmit(compilation: webpack.compilation.Compilation, callback: (error?: Error) => void): Promise<void>;
    apply(compiler: webpack.Compiler): void;
}
